SNMPNETSTAT(1)

NAME
snmpnetstat - display networking status and configuration information from a network entity via SNMP

SYNOPSIS
snmpnetstat [common options] [-Ca] [-Cn] AGENT
snmpnetstat [common options] [-Ci] [-Co] [-Cr] [-Cn] [-Cs] AGENT
snmpnetstat [common options] [-Ci] [-Cn] [-CI interface] AGENT [interval]
snmpnetstat [common options] [-Ca] [-Cn] [-Cs] [-CP protocol] AGENT

DESCRIPTION
The snmpnetstat command symbolically displays the values of various network-related information retrieved from a remote system using the SNMP protocol. There are a number of output formats, depending on the options for the information presented. The first form of the command displays a list of active sockets. The second form presents the values of other network-related information according to the option selected. Using the third form, with an interval specified, snmpnetstat will continuously display the information regarding packet traffic on the configured network interfaces. The fourth form displays statistics about the named protocol.

AGENT identifies a target SNMP agent, which is instrumented to monitor the given objects. At its simplest, the AGENT specification will consist of a hostname or an IPv4 address. In this situation, the command will attempt communication with the agent, using UDP/IPv4 to port 161 of the given target host. See snmpcmd(1) for a full list of the possible formats for AGENT.

OPTIONS
The options have the following meaning:

common options
 Please see snmpcmd(1) for a list of possible values for common options as well as their descriptions.

-Ca With the default display, show the state of all sockets; normally sockets used by server processes are not shown.

-Ci Show the state of all of the network interfaces. The interface display provides a table of cumulative statistics regarding packets transferred, errors, and collisions. The network addresses of the interface and the maximum transmission unit (``mtu'') are also displayed.

-Co Show an abbreviated interface status, giving octets in place of packets. This is useful when enquiring virtual interfaces (such as Frame-Relay circuits) on a router.

-CI interface Show information only about this interface; used with an interval as described below.

-Cn Show network addresses as numbers (normally snmpnetstat interprets addresses and attempts to display them symbolically). This option may be used with any of the display formats.

-CP protocol Show statistics about protocol, which is either a well-known name for a protocol or an alias for it. Some protocol names and aliases are listed in the file /etc/protocols. A null response typically means that there are no interesting numbers to report. The program will complain if protocol is unknown or if there is no statistics routine for it.

-Cs Show per-protocol statistics. When used with the -Cr option, show routing statistics instead.

-Cr Show the routing tables. When -Cs is also present, show per-protocol routing statistics instead of the routing tables.

When snmpnetstat is invoked with an interval argument, it displays a running count of statistics related to network interfaces. interval is the number of seconds between reporting of statistics.

The Active Sockets Display (default)

The default display, for active sockets, shows the local and remote addresses, protocol, and the internal state of the protocol. Address formats are of the form ``host.port'' or ``network.port'' if a socket's address specifies a network but no specific host address. When known, the host and network addresses are displayed symbolically according to the data bases /etc/hosts and /etc/networks, respectively. If a symbolic name for an address is unknown, or if the -Cn option is specified, the address is printed numerically, according to the address family. For more information regarding the Internet ``dot format,'' refer to inet(3N). Unspecified, or ``wildcard'', addresses and ports appear as ``*''.

The Interface Display

The interface display provides a table of cumulative statistics regarding packets transferred, errors, and col- lisions. The network addresses of the interface and the maximum transmission unit (``mtu'') are also displayed.

The Routing Table Display

The routing table display indicates the available routes and their status. Each route consists of a destination host or network and a gateway to use in forwarding pack- ets. The flags field shows the state of the route (``U'' if ``up''), whether the route is to a gateway (``G''), whether the route was created dynamically by a redirect (``D''), and whether the route has been modified by a redirect (``M''). Direct routes are created for each interface attached to the local host; the gateway field for such entries shows the address of the outgoing inter- face. The interface entry indicates the network interface utilized for the route.

The Interface Display with an Interval

When snmpnetstat is invoked with an interval argument, it displays a running count of statistics related to network interfaces. This display consists of a column for the primary interface and a column summarizing information for all interfaces. The primary interface may be replaced with another interface with the -CI option. The first line of each screen of information contains a summary since the system was last rebooted. Subsequent lines of output show values accumulated over the preceding interval.

The Active Sockets Display for a Single Protocol

When a protocol is specified with the -CP option, the information displayed is similar to that in the default display for active sockets, except the display is limited to the given protocol.

EXAMPLES
Example of using snmpnetstat to display active sockets (default):

% snmpnetstat -v 2c -c public -Ca testhost

Active Internet (tcp) Connections (including servers)
Proto Local Address                Foreign Address                 (state)
tcp   *.echo                        *.*                            LISTEN
tcp   *.discard                     *.*                            LISTEN
tcp   *.daytime                     *.*                            LISTEN
tcp   *.chargen                     *.*                            LISTEN
tcp   *.ftp                         *.*                            LISTEN
tcp   *.telnet                      *.*                            LISTEN
tcp   *.smtp                        *.*                            LISTEN
...

Active Internet (udp) Connections
Proto Local Address
udp    *.echo
udp    *.discard
udp    *.daytime
udp    *.chargen
udp    *.time
...

% snmpnetstat -v 2c -c public -Ci testhost

Name     Mtu Network    Address          Ipkts   Ierrs    Opkts Oerrs Queue
eri0    1500 10.6.9/24  testhost     170548881  245601   687976     0    0
lo0     8232 127        localhost      7530982       0  7530982     0    0

Example of using snmpnetstat to show statistics about a specific protocol:

% snmpnetstat -v 2c -c public -CP tcp testhost

Active Internet (tcp) Connections
Proto Local Address                Foreign Address                 (state)
tcp   *.echo                        *.*                            LISTEN
tcp   *.discard                     *.*                            LISTEN
tcp   *.daytime                     *.*                            LISTEN
tcp   *.chargen                     *.*                            LISTEN
tcp   *.ftp                         *.*                            LISTEN
tcp   *.telnet                      *.*                            LISTEN
tcp   *.smtp                        *.*                            LISTEN
...

SEE ALSO
snmpcmd(1), iostat(1), vmstat(1), hosts(5), networks(5), protocols(5), services(5).

BUGS
The notion of errors is ill-defined.